""" Use PyFits to read in a FITS file.

    Display information from the header and make a plot of the
    image data.
"""
import os
import pyfits


from pylab import imshow, gray, title, show


r_file_path = os.path.join('astro_images', 'm_e_20081203_57_1_1_1.fits')

fits_file = pyfits.open(r_file_path)

# Print out information about the items stored in the file.
print fits_file.info()

# inspect the "cards" for the first "header data unit" in the file.
hdu = fits_file[0]
print hdu.header.ascard

# Print out an individual field from the header.
print 'image origin:', hdu.header['ORIGIN']

# Get the image data from the header and display it.
data = hdu.data

imshow(data, vmin=0, vmax=255)
gray()

title(hdu.header['CAT-NAME'])

show()
