""" Example of reading 3 FITS files representing RGB channels of an image.

    The image is displayed in a matplotlib plot.
    
    I am sure there are more intelligent ways of scaling the data, but this
    serves as a proof of concept.
    
    fixme: Work out where the origin should be in the plot.
"""
import os

from numpy import dstack
from scipy import stats

from pylab import imshow, title, show

import pyfits

#max_value = 255.

r_file_path = os.path.join('astro_images', 'm_e_20081203_57_1_1_1.fits')
g_file_path = os.path.join('astro_images', 'm_e_20081203_58_1_1_1.fits')
b_file_path = os.path.join('astro_images', 'm_e_20081203_59_1_1_1.fits')

# imshow expects the RGB channels to be scaled between 0 and 1.
red_file = pyfits.open(r_file_path)
red = red_file[0].data
red_max = stats.scoreatpercentile(red.flatten(), 99.5)
red = red.clip(0, red_max)/red_max
#red = fits_file[0].data.clip(0,max_value)/max_value


green_file = pyfits.open(g_file_path)
green = green_file[0].data
green_max = stats.scoreatpercentile(green.flatten(), 99.5)
green = green.clip(0, green_max)/green_max
#green = fits_file[0].data.clip(0,max_value)/max_value

blue_file = pyfits.open(b_file_path)
blue = blue_file[0].data
blue_max = stats.scoreatpercentile(blue.flatten(), 99.5)
blue = blue.clip(0, blue_max)/blue_max
#blue = fits_file[0].data.clip(0,max_value)/max_value

img = dstack((red, green, blue))

imshow(img)
title(blue_file[0].header['CAT-NAME'])

show()
